// JavaScript를 사용하여 tr의 배경색을 저장할 변수
let originalColor;

// tr에 마우스 진입 이벤트 핸들러 추가
document.querySelectorAll('#table1 tr').forEach(tr => {
  tr.addEventListener('mouseenter', function() {
    // 현재 tr의 배경색 저장
    originalColor = this.style.backgroundColor;
    // 배경색 변경
    this.style.backgroundColor = '#333';
  });

  // tr에서 마우스 나감 이벤트 핸들러 추가
  tr.addEventListener('mouseleave', function() {
    // 원래 배경색으로 되돌림
    this.style.backgroundColor = originalColor;
  });
});

document.addEventListener('DOMContentLoaded', function () {
  var rows = document.querySelectorAll('#table1 tr[data-href]');
  rows.forEach(function (row) {
    row.addEventListener('click', function () {
      window.location.href = row.getAttribute('data-href');
    });
  });
});